#include <Wire.h>
#include <Adafruit_DRV2605.h>

Adafruit_DRV2605 drv;

void setup() {
  Serial.begin(9600);
  Wire.begin();  // Arduino Micro uses SDA = Pin 2, SCL = Pin 3

  if (!drv.begin()) {
    Serial.println("DRV2605 not found. Check wiring!");
    while (1);
  }

  drv.selectLibrary(1);  // Use LRA library (use 6 for ERM if needed)
  drv.setMode(DRV2605_MODE_INTTRIG);  // Internal trigger mode

  // Set vibration waveform
  drv.setWaveform(0, 1);  // Effect 1: Strong click
  drv.setWaveform(1, 0);  // End of sequence
}

void loop() {
  drv.go();       // Trigger the motor
  delay(100);     // Fast repetition (adjust delay for different speeds)
}